/**Begin D:\PDM\PDM_UPGRADE\PDM1\IFM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IFM_ACCEPTMODIFYENTRY') 
 CREATE TABLE T_IFM_ACCEPTMODIFYENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCHANGEFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FBEFORECHANGE VARCHAR(255) DEFAULT ' ' NOT NULL,
FAFTERCHANGE VARCHAR(255) DEFAULT ' ' NOT NULL,
FREASON VARCHAR(255) DEFAULT ' ' NOT NULL,
FBASEDATATYPE VARCHAR(255) DEFAULT ' ' NOT NULL,
FBASEDATAID VARCHAR(255) DEFAULT ' ' NOT NULL,
FCHANGEFIELDNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FBEFORECHANGENAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FAFTERCHANGENAME VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IFM_ACCEPTMODIFY_CUR') 
 CREATE TABLE T_IFM_ACCEPTMODIFY_CUR (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IFM_ACCEPTMODIFY_ST') 
 CREATE TABLE T_IFM_ACCEPTMODIFY_ST (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\PDM\PDM_UPGRADE\PDM1\IFM_table.sql **/
